Bug 41889 - MathML - msqrt and mfrac should use the color defined in style() to draw themselves
Summary: MathML - msqrt and mfrac should use the color defined in style() to draw them...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 41895
  Show dependency treegraph
 
Reported: 2010-07-08 12:31 PDT by François Sausset
Modified: 2010-07-12 05:31 PDT (History)
1 user (show)

See Also:


Attachments
Test case (284 bytes, application/xhtml+xml)
2010-07-08 12:31 PDT, François Sausset
no flags Details
Patch (100.77 KB, patch)
2010-07-08 12:38 PDT, François Sausset
no flags Details | Formatted Diff | Diff
Patch (159.33 KB, patch)
2010-07-08 12:53 PDT, François Sausset
no flags Details | Formatted Diff | Diff
Revised patch (158.97 KB, patch)
2010-07-08 14:49 PDT, François Sausset
no flags Details | Formatted Diff | Diff
Revised patch (159.17 KB, patch)
2010-07-09 06:39 PDT, François Sausset
kenneth: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Regenerated patch (114.84 KB, patch)
2010-07-10 10:46 PDT, François Sausset
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description François Sausset 2010-07-08 12:31:20 PDT
Created attachment 60929 [details]
Test case

See the test case
Comment 1 François Sausset 2010-07-08 12:38:32 PDT
Created attachment 60930 [details]
Patch
Comment 2 François Sausset 2010-07-08 12:53:19 PDT
Created attachment 60935 [details]
Patch

Patch to fix the same problem for mfrac
Comment 3 François Sausset 2010-07-08 14:37:38 PDT
I was not clear previously: the patch fix the problem for both mfrac and msqrt
Comment 4 Kenneth Rohde Christiansen 2010-07-08 14:39:56 PDT
Comment on attachment 60935 [details]
Patch

Why are there two ChangeLog entries for one patch?
Comment 5 François Sausset 2010-07-08 14:48:59 PDT
(In reply to comment #4)
> (From update of attachment 60935 [details])
> Why are there two ChangeLog entries for one patch?

It was a mistake when generating the patch.
Comment 6 François Sausset 2010-07-08 14:49:35 PDT
Created attachment 60964 [details]
Revised patch
Comment 7 Kenneth Rohde Christiansen 2010-07-09 05:32:42 PDT
Comment on attachment 60964 [details]
Revised patch

WebCore/ChangeLog:6
 +          https://bugs.webkit.org/show_bug.cgi?id=41889
I would like your ChangeLog to explain a bit better how you fixed the bug.

Normally it will show me the PNG images while reviewing, but in this bug it just shows me their contents. Are you sure there is nothing wrong with them?
Comment 8 François Sausset 2010-07-09 06:39:46 PDT
Created attachment 61042 [details]
Revised patch

More detailed ChangeLog.

The PNG files seems to be OK: they were generated by the standard method and I can read them normally on my computer.
Comment 9 WebKit Commit Bot 2010-07-10 09:14:54 PDT
Comment on attachment 61042 [details]
Revised patch

Rejecting patch 61042 from commit-queue.

Unexpected failure when processing patch!  Please file a bug against webkit-patch.
Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=webkit-commit-queue.appspot.com', 'land-attachment', '--force-clean', '--build', '--non-interactive', '--ignore-builders', '--build-style=both', '--quiet', 61042, '--test', '--parent-command=commit-queue', '--no-update']" exit_code: 1
Last 500 characters of output:
ols/Scripts/webkitpy/tool/commands/download.py", line 155, in _process_patch
    self._main_sequence.run_and_handle_errors(tool, options, state)
  File "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/tool/commands/stepsequence.py", line 80, in run_and_handle_errors
    raise e
webkitpy.common.system.executive.ScriptError: Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Kenneth Rohde Christiansen', u'--force']" exit_code: 1
Comment 10 François Sausset 2010-07-10 10:46:40 PDT
Created attachment 61157 [details]
Regenerated patch

Same than previous patch except that the PNG tests have been regenerated as it indeed seems they were problematic.
Comment 11 WebKit Commit Bot 2010-07-12 05:31:47 PDT
Comment on attachment 61157 [details]
Regenerated patch

Clearing flags on attachment: 61157

Committed r63074: <http://trac.webkit.org/changeset/63074>
Comment 12 WebKit Commit Bot 2010-07-12 05:31:53 PDT
All reviewed patches have been landed.  Closing bug.